• Pacman not working


    So today I updated approximately 153 packages using yaourt -Syua; this included, among other things, an update of my DE (GNOME) as well as the newest version of pacman, version 5.0.0.1. Now, though, neither will work. If I try and run pacman -Syu, everything goes fine for a moment, the databases refresh…and immediately after it throws an error: “Segmentation fault”. If i try and run the command a second time, I am at that point forced to remove the lock file from /var/lib/pacman/db.lck. This goes on in a never-ending cycle and I do not know what to do about it. I have pending updates that I can now not install. Any help is greatly appreciated!

    EDIT: Downgrading to pacman-5.0.1-4-x86_64.pkg.tar.xz fixed the problem as a sto

  • @captcha_d said in Pacman not working:

    remove the lock file from /var/lib/pacman/db.lck

    sudo rm -r /var/lib/pacman/db.lck
    

    and then

    sudo pacman -Syyu
    

    Autodidacta en la VIDA …y en Linux, también.

  • @judd I tried that, actually. That’s why I am confused. When I remove it and then run it again I still get the segmentation fault.

  • @captcha_d said in Pacman not working:

    segmentation fault.

    Can you put the segmentation error that throws the console here?

    Autodidacta en la VIDA …y en Linux, también.

pacman77 Posts 4Views 343
Log in to reply